package de.thdeg.grademanager.gui;

import de.thdeg.grademanager.model.Course;
import de.thdeg.grademanager.model.Student;
import de.thdeg.grademanager.model.enumeration.Mark;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Alert;
import javafx.scene.control.ButtonType;
import javafx.scene.control.ComboBox;

import java.io.IOException;
import java.util.Optional;

public class StudentGradesController {

    protected Mark mark;
    @FXML
    protected ComboBox<Mark> markComboBox;
    ObservableList<Mark> markList = FXCollections.observableArrayList(Mark.values());

    private static Student student;
    public static void setStudent(Student student) {
        StudentGradesController.student = student;
    }

    private static Course course;
    public static void setCourse(Course course) {
        StudentGradesController.course = course;
    }

    @FXML
    protected void initialize() {
        markComboBox.setItems(markList);
    }

    @FXML
    protected void onSaveButtonClick(ActionEvent event) throws IOException {
        if (markComboBox.getValue() != null) {
            mark = markComboBox.getValue();

            SwitchWindowHelper.switchTo("Student Courses", event);
        } else {
            Alert alert = new Alert(Alert.AlertType.ERROR);
            alert.setTitle("Fehler");
            alert.setHeaderText("Bitte alle Felder ausfüllen.");
            Optional<ButtonType> result = alert.showAndWait();
        }
    }

    @FXML
    protected void switchToStudentCourses(ActionEvent event) throws IOException {
        SwitchWindowHelper.switchTo("Student Courses", event);
    }
}
